//
// LoginRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct LoginRequest: Codable, JSONEncodable, Hashable {

    public var email: String?
    public var password: String?
    public var source: String?

    public init(email: String? = nil, password: String? = nil, source: String? = nil) {
        self.email = email
        self.password = password
        self.source = source
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case email
        case password
        case source
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(email, forKey: .email)
        try container.encodeIfPresent(password, forKey: .password)
        try container.encodeIfPresent(source, forKey: .source)
    }
}

